Anonymous Login
2019-07-24 00:13 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001778OpenClonkEnginepublic2016-07-08 09:49
ReporterK-Pone 
Assigned ToIsilkor 
PriorityhighSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformDesktopOSWindows7OS Version64-bit
Product Version 
Target VersionFixed in Version 
Summary0001778: Latest snapshot 7ff8c4f95a *always* crashes
DescriptionThe latest snapshot 7ff8c4f95a always crashes when you exit a scenario. This happens even on the standard scenarios like "Goldrush"
Steps To ReproduceJust exit a scenario by pressing ESC and confirm with Yes: Crash.
End a round normally by winning or losing, press End Round: Crash.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0005183

occ (reporter)

Hi! There's been a check-in that references this bug. For more information you can visit the repository browser at this address:
https://git.openclonk.org/openclonk.git/commitdiff/dcd8d9676a9a733af12b69ab3ed64ee1758e34c5

Changeset dcd8d96 by Nicolas Hake <isilkor@openclonk.org>
Fix unloading scenarios with Map.c or System.ocg scripts (0001778)

Destruction order matters!

~0005184

Isilkor (developer)

That particular issue should be fixed now. I think. Probably.
+Notes

-Issue History
Date Modified Username Field Change
2016-07-07 11:43 K-Pone New Issue
2016-07-07 11:46 K-Pone File Added: openclonk-crash-2016-07-07-11-39-22.dmp
2016-07-07 11:46 K-Pone File Added: OpenClonk.log
2016-07-07 12:45 occ Note Added: 0005183
2016-07-07 12:52 Isilkor Note Added: 0005184
2016-07-07 12:52 Isilkor Status new => resolved
2016-07-07 12:52 Isilkor Resolution open => fixed
2016-07-07 12:52 Isilkor Assigned To => Isilkor
+Issue History